Subject: [Megaco] questions about atm package, megaco profile(in MSF)

From: [email-masked]
Date: Tue, 16 Oct 2001 18:50:11 +0900

hi, Brian, all.

I have several questions about atm package(draft-rosen-megaco-atm-package-
00.txt).

As you know. MSF choose it as base package, which you proposed it as
internet-draft,  in megaco profile.

let's get to the point directly,

first of all. what's going on with this package? now being modifed? in near
future, will it be a RFC?
other questions deal with some details.

package says,
" 3.5 Procedures  
  
   Terminations representing VCCs are placed in a special context.  
   The contextId of that context may be specified by a profile, or by
provisioning.  
   PVCs known to the MG would appear in that context at boot time.  An SVC
is created 
   by Adding an appropriate (ephemeral) termination to that context.  An
SVC is torn 
   down by Subtracting the termination from the Context.  For AAL1 or AAL2
VCCs, 
   terminations are created with the Add command specifying the channel
identifier in 
   the CID field of the SDP or Annex C and referencing the VPI/VCI of the
VCC the 
   channel is part of.  For AAL1 VCCs, channels not assigned such a
termination are 
   idle.   
"

I'm confused the term, VCCs. VCCs(actually abstracted as Terminations) 

VCCs can have several types. 

- AAL5
- AAL2 
  - single CID AAL2
  - multiple CID AAL2

- AAL1
  - one channeled 
  - multi channeled

does VCCs in statements include all types of VCCs ?

   if so, let's assume a scenario.(in case TG)
   
   if single-cid VCCs are used.(l'll consider only atm side)
   1)  MGC will issue "add command"
   2)  MG sinals  peer MG, and set up SVC connection. 
       as a result, a single-cid AAL2 VCC(acutally termination) added to "a
special context".
   3)  if  mgc wanna use that VCC as a bearer carrying a pstn vocie data.
        what command mgc must initiate? ADD or MOVE? 
   4) anyway, it will make another new context
   5) after completion of service, MGC issues "subtract command".
      if that terminaion subtracted from that context. 
     does a single-cid AAL2 VCC(termination) go to "a special context"?
    in this case, I think this mechanism is not sufficienty good. 
        
    another senario. (in case of multiple-cid AAL2 VCC)
    it's really good to this case.
    1) MGC may easily reserve ATM resources in MG prior to real call
services using "add command".
    2) this forces that  MG signals to peer MG to establish a SVC. and that
SVC is represented by a termination 
       which is add to "special context". and this termnation id could be
"ATM1/17".
    3) when MGC wanna service pstn voice call, then issues "add command"
specifing cid value(just like "ATM1/17/$", or  
       "ATM1/17/40")
    4) MG will make a new context.
    5) after completion of service, MGC will issues "subtract command". 
       MG will subtract two terminations in specified context. as a result,
pstn termination goes to null context, 
      atm termination vanishes. MG may mark that channal(atm termination)
"idle".

     Is this procedure all right?

     I wanna believe this package aims to multiple-channel VCC. 

do you thinks "a special context" as kind of "resource pool"?

can you please explain the procedure more detail?

Thanks In Advance.